Skip to main content
GET
/
applications
/
{app}
/
users
/
__sample__
/
data
cURL
curl --request GET \
  --url https://api.rownd.io/applications/{app}/users/__sample__/data \
  --header 'x-rownd-app-key: <api-key>' \
  --header 'x-rownd-app-secret: <api-key>'
import requests

url = "https://api.rownd.io/applications/{app}/users/__sample__/data"

headers = {
"x-rownd-app-key": "<api-key>",
"x-rownd-app-secret": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-rownd-app-key': '<api-key>', 'x-rownd-app-secret': '<api-key>'}
};

fetch('https://api.rownd.io/applications/{app}/users/__sample__/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "rownd_user": "user_a7b53gwdaml5jt7t71442nt7",
  "state": "enabled",
  "auth_level": "verified",
  "attributes": {
    "rownd:app_variants": [
      "app_variant_1",
      "app_variant_2"
    ],
    "myapp:subscription_status": [
      "active"
    ],
    "myapp:loyalty_points": [
      "100"
    ]
  },
  "data": {
    "user_id": "user_a7b53gwdaml5jt7t71442nt7",
    "email": "gary@foo.com",
    "first_name": "Gary",
    "last_name": "Jackson"
  },
  "verified_data": {
    "email": "gary@foo.com",
    "phone_number": "+19199993333"
  },
  "groups": [
    {
      "group": {
        "id": "group_a3l1n2lsnb3q0xbul9enjnh7",
        "name": "My Teammates",
        "member_count": 0,
        "app_id": "327677849595019856",
        "admission_policy": "invite_only",
        "meta": {},
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "updated_by": "user_t6ftnnmw55pamuhfo9xvw0yl",
        "created_by": "user_t6ftnnmw55pamuhfo9xvw0yl"
      },
      "member": {
        "user_id": "user_fbylaq38591cghym5pabupj2",
        "roles": [
          "owner",
          "editor"
        ],
        "id": "member_dnn5g4e3q6aptail2gr43kpj",
        "invited_by": "<string>",
        "added_by": "<string>",
        "profile": {
          "user_id": "user_a7b53gwdaml5jt7t71442nt7",
          "email": "gary@foo.com",
          "first_name": "Gary",
          "last_name": "Jackson"
        },
        "group_id": "group_ig42thhwf4cig25o7t9jtlyu"
      }
    }
  ],
  "meta": {
    "created": "2023-11-07T05:31:56Z",
    "modified": "2023-11-07T05:31:56Z",
    "first_sign_in": "2023-11-07T05:31:56Z",
    "first_sign_in_method": "<string>",
    "last_sign_in": "2023-11-07T05:31:56Z",
    "last_sign_in_method": "<string>",
    "last_active": "2023-11-07T05:31:56Z",
    "last_passkey_registration_prompt": "2023-11-07T05:31:56Z"
  },
  "connection_map": {}
}

Authorizations

x-rownd-app-key
string
header
required

The publishable key of your application credentials. (more details)

x-rownd-app-secret
string
header
required

The private secret of your application credentials. (more details)

Path Parameters

app
string
required

Rownd application ID

Response

200 - application/json

User record retrieved successfully

rownd_user
string
read-only

The user's ID

Example:

"user_a7b53gwdaml5jt7t71442nt7"

state
enum<string>
default:enabled
read-only

The user's state

Available options:
enabled,
disabled
auth_level
string
read-only

The user's authentication level

Example:

"verified"

attributes
object

User profile attributes

Example:
{
"rownd:app_variants": ["app_variant_1", "app_variant_2"],
"myapp:subscription_status": ["active"],
"myapp:loyalty_points": ["100"]
}
data
object

User profile data

Example:
{
"user_id": "user_a7b53gwdaml5jt7t71442nt7",
"email": "gary@foo.com",
"first_name": "Gary",
"last_name": "Jackson"
}
verified_data
object
read-only

User profile data that has been verified

Example:
{
"email": "gary@foo.com",
"phone_number": "+19199993333"
}
groups
object[]
read-only

Groups in which the user is a member

meta
object
connection_map
object
read-only